#
# spec file for package rkdeveloptool
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define build_cxxflags %optflags -flto=auto

Name:           rkdeveloptool
Version:        1.32~git.20210408.46bb4c0
Release:        2.12
URL:            https://github.com/rockchip-linux/rkdeveloptool
Summary:        Utility for Rockchip SoCs
License:        GPL-2.0-or-later
Group:          System/Boot
Source0:        rkdeveloptool-%{version}.tar.xz
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc-c++
BuildRequires:  systemd-rpm-macros
BuildRequires:  pkgconfig(libusb-1.0)
Requires(post): udev
Requires(postun):udev

%description
rkdeveloptool provides ways to read/write rockusb devices.

%prep
%setup -q

%build
autoreconf -i
%configure
%make_build

%install
%make_install
install -D -m 644 99-rk-rockusb.rules %{buildroot}%{_udevrulesdir}/99-rk-rockusb.rules

%post
%udev_rules_update

%postun
%udev_rules_update

%files
%license license.txt
%doc Readme.txt parameter_gpt.txt
%{_bindir}/rkdeveloptool
%{_udevrulesdir}/99-rk-rockusb.rules

%changelog
* Thu Oct 21 2021 Michal Suchanek <msuchanek@suse.com>
- Use LTO on platforms that do not use it by default to workaround a build error.
  See https://github.com/rockchip-linux/rkdeveloptool/pull/57
* Fri Oct 15 2021 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Enable build also for all PPC and S390x.
* Thu May 20 2021 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to 1.32 from git (rk356x support)
  * Drop rkdeveloptool_build.diff
- Use udevrulesdir from systemd-rpm-macros
- Use udev rules from git, drop incomplete 99-rkdeveloptool.rules
- Clean up spec file
* Thu Jun 20 2019 Andreas Färber <afaerber@suse.de>
- Update to latest Git branch (post-1.3)
  * Add rkdeveloptool_build.diff with build error fixes
* Tue May  9 2017 afaerber@suse.de
- Downgrade to last 1.1 commit (suggested by ykaubab)
* Tue May  9 2017 afaerber@suse.de
- Add USB PIDs from http://opensource.rock-chips.com/wiki_Rockusb
* Wed May  3 2017 jengelh@inai.de
- Trim filler words from description
* Mon May  1 2017 afaerber@suse.de
- Add Url tag
- Add 99-rkdeveloptool.rules
* Sun Apr 30 2017 afaerber@suse.de
- Initial
